select
an.numero as receptora
,mae.numero as doadora
, pai.numero as reprodutor
, te.data
, diag.data as data_ult_diagnostico
, diag.DTPARTOPROVAVEL as data_parto_provavel
, (case sp.creprodutiva
  when 2 then 'Implantada'
  when 3 then 'Gestante'
  else null end	
) as status
from
animal an
left join sp_categoriaanimal(current_date, 'cdanimal = ' || an.cdanimal) sp on 1 = 1
join reproducao te on te.cdreproducao =
(select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao in (1,2,3) and re.cdanimal = an.cdanimal order by re.data desc)
join animal emb on emb.cdanimal = te.cdembriao
join animal pai on pai.cdanimal = emb.cdpai
join animal mae on mae.cdanimal = emb.cdmae
left join reproducao diag on diag.cdreproducao =
(select first 1 re.cdreproducao from reproducao re where re.cdanimal = te.cdanimal and re.DIAGNOSTICO = 'P' order by re.data desc)
where
sp.creprodutiva in (2,3)
and an.dtbaixa is null
and te.cdtiporeproducao = 3
